> For the complete documentation index, see [llms.txt](https://docs.developer.singpass.gov.sg/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.developer.singpass.gov.sg/docs/singpass-developer-docs/corppass-and-myinfo-business/technical-specifications/corppass-authorization-api-legacy/scopes.md).

# Scopes

Scopes define the permissions and claims the client requests from the authorization server during the OIDC flow. The `scope` parameter is mandatory in the authorization request and must include `openid`. Additional scopes may be requested to obtain specific claims or access certain resources.

{% hint style="warning" %}
The scope parameter will be **mandated** in the next major version of the API. Once the scope parameter is mandated, any requested scope that is **not recognized or authorized** by the authorization server will **result in an error**.\
\
Plan to update your applications to include this parameter. We strongly recommend reviewing the updated API documentation and transitioning to alternative fields as soon as possible to avoid disruptions.
{% endhint %}

#### **Supported Scopes**

<table><thead><tr><th width="215.02734375">Scope</th><th width="324.578125">Description</th><th>Data Access</th></tr></thead><tbody><tr><td><code>openid</code></td><td><p><strong>Mandatory</strong> scope to indicate the request is an OpenID Connect flow.</p><p>Required for all requests.</p></td><td></td></tr><tr><td><code>authinfo</code></td><td>View authorization details for the authenticated user.</td><td><p><a href="/pages/wkl0hTTmLmNxt4e1AOt5">Auth Info Endpoint</a></p><ul><li><code>AuthInfo</code></li></ul></td></tr><tr><td><code>tpauthinfo</code></td><td>View third-party authorization details for the authenticated user.</td><td><p><a href="/pages/wkl0hTTmLmNxt4e1AOt5">Auth Info Endpoint</a></p><ul><li><code>TPAuthInfo</code></li></ul></td></tr></tbody></table>

**Usage Example**

When requesting scopes in the authorization URL, include them as a space-separated list in the `scope` parameter:

**Example Request**

```http
https://stg-id.corppass.gov.sg/mga/sps/oauth/oauth20/authorize
?client_id=example_client
&response_type=code
&scope=openid authinfo
&redirect_uri=https://example.com/callback
&state=xyz123
&nonce=abc456
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.developer.singpass.gov.sg/docs/singpass-developer-docs/corppass-and-myinfo-business/technical-specifications/corppass-authorization-api-legacy/scopes.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
